GETPGRP(P)

NAME
getpgrp - get the process group ID of the calling process

SYNOPSIS

#include <unistd.h>

pid_t getpgrp(void);

DESCRIPTION

The getpgrp() function shall return the process group ID of the calling process.

RETURN VALUE

The getpgrp() function shall always be successful and no return value is reserved to indicate an error.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

4.3 BSD provides a getpgrp() function that returns the process group ID for a specified process. Although this function supports job control, all known job control shells always specify the calling process with this function. Thus, the simpler System V getpgrp() suffices, and the added complexity of the 4.3 BSD getpgrp() is provided by the XSI extension getpgid().

FUTURE DIRECTIONS

None.

SEE ALSO

exec() , fork() , getpgid() , getpid() , getppid() , kill() , setpgid() , setsid() , the Base Definitions volume of IEEE Std 1003.1-2001, <sys/types.h>, <unistd.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .